> For the complete documentation index, see [llms.txt](https://docs.2checkout.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.2checkout.com/channel-manager-api/channel-manager-api/api-2.1/soap-2.1/reference/pricing/retrieve-pricing-list-information.md).

# Retrieve pricing list information

Get the extended info about the pricing list available for a partner, including the products and their pricing options, based on the pricing list code.

## Request parameters

<table><thead><tr><th width="166.5999755859375">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>sessionID</code></td><td><strong>Required (string)</strong><br>Session identifier, which is the output of the <strong>Login</strong> method. An exception will be thrown if the values are incorrect</td></tr><tr><td><code>pricingListCode</code></td><td><strong>Required (string)</strong><br>The unique identifier of the pricing list.</td></tr></tbody></table>

### Request sample

```php
<?php

require('PATH_TO_AUTH'); // Authentication example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/02Authentication
require('PATH_TO_setPartner'); // setPartner example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/06Reference/Partner/00Set_partner

$pricingListCode = 'YOUR_PRICING_LIST_CODE';

try {
    $PartnerPricingListInfo= $client->getPricingListInformation ($sessionID, $pricingListCode);
} catch (SoapFault $e) {
    echo "PricingLists: " . $e->getMessage();
    exit;
}
var_dump ("PricingLists", $PartnerPricingListInfo);
```

## Response parameters

<table><thead><tr><th width="143.7999267578125">Parameter</th><th>Type</th></tr></thead><tbody><tr><td><a href="broken://pages/6af365962946e80a60beafa6efc343a4194803fc"><code>PricingList</code></a></td><td><strong>Object</strong></td></tr></tbody></table>

## Errors

<table><thead><tr><th width="340.5999755859375">Error</th><th>Description</th></tr></thead><tbody><tr><td><strong>INVALID_PARTNER</strong></td><td>No partner is set.</td></tr><tr><td><strong>PARTNER_PRICING_LISTS_NOT_FOUND</strong></td><td>There are no pricing lists with provided code.</td></tr></tbody></table>

<details>

<summary>Need help?</summary>

Do you have a question? If you didn’t find the answer you are looking for in our documentation, you can contact our [Support](https://verifone.cloud/support) teams for more information. If you have a technical issue or question, please contact us. We are happy to help.

[Get in touch](https://verifone.cloud/need-help)

</details>

<details>

<summary>Not yet a Verifone customer?</summary>

We’ll help you choose the right payment solution for your business, wherever you want to sell, in-person or online. Our team of experts will happily discuss your needs.

[Contact sales](https://www.verifone.com/en/global/contact-sales) [Get Started](https://www.verifone.com/en/global/contact-sales)

</details>

![Verifone logo](https://verifone.cloud/themes/custom/verifone/frontend/src/images/logo_bottom.svg)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.2checkout.com/channel-manager-api/channel-manager-api/api-2.1/soap-2.1/reference/pricing/retrieve-pricing-list-information.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
